CompilerSelect  #PB_Compiler_Version
  CompilerCase 430
    Macro m_read
      Read.s a.s
    EndMacro
  CompilerDefault
    #PB_Long=#Long
    Macro ListSize
      CountList
    EndMacro
    Macro m_read
      Read a.s
    EndMacro
CompilerEndSelect

;A table being just a collection of cells, it is natural to build one from them.
Global Dim title.s(4)
Global Dim width.w(4)

#BORDERL = -1
#BORDERT = -3
#BORDERR = -5
#BORDERB = -10

title(0) = "Country"
title(1) = "Capital"
title(2) = "Area (sq km)"
title(3) = "Pop. (thousands)"
width(0) = 40
width(1) = 35
width(2) = 40
width(3) = 45

Procedure BasicTable()
  a.s =""
  pdf_SetFillColor(255,0,0);
  pdf_SetTextColor(255);
  pdf_SetDrawColor(128,0,0);
  pdf_SetLineWidth(0.3);
  pdf_SetFont("","B");
  For i = 0 To 3
    pdf_Cell(width(i),7,title(i),1,0,#PDF_ALIGN_CENTER,1)
  Next
  pdf_Ln()
  Restore begindata
  pdf_SetFillColor(224,235,255)
  pdf_SetTextColor(0)
  pdf_SetFont("")
  fill=#True
  For j=1 To 8
    m_read
      pdf_Cell(width(0),6,a,#PDF_CELL_RIGHTBORDER + #PDF_CELL_LEFTBORDER,0,#PDF_ALIGN_LEFT,fill)
    m_read
      pdf_Cell(width(1),6,a,#PDF_CELL_RIGHTBORDER + #PDF_CELL_LEFTBORDER,0,#PDF_ALIGN_LEFT,fill)
    m_read
      pdf_Cell(width(2),6,a,#PDF_CELL_RIGHTBORDER + #PDF_CELL_LEFTBORDER,0,#PDF_ALIGN_RIGHT,fill)
    m_read
      If Val(a) > 10000
        pdf_SetTextColor(0,0,255)
        link = pdf_Addlink()
        pdf_SetFont("","U")
        pdf_SetLink(link,-1,-1,"www.purebasic.com")
      Else
        link = -1
      EndIf  
      pdf_Cell(width(3),6,a,#PDF_CELL_RIGHTBORDER + #PDF_CELL_LEFTBORDER,0,#PDF_ALIGN_RIGHT,fill,link)
      pdf_Ln()
    fill = ~fill  
    pdf_SetTextColor(0)
    pdf_SetFont("")
  Next
  For i = 0 To 3
    pdf_Cell(width(i),7,"",#PDF_CELL_TOPBORDER)
  Next  
EndProcedure

pdf_Create()
pdf_SetFont("Arial","",14)
pdf_AddPage()
basictable()
pdf_Save("Tutorial06 Table.pdf")

DataSection
  begindata:
  Data.s "Austria","Vienna","83859","8075"
  Data.s "Belgium","Brussels","30518","10192"
  Data.s "Denmark","Copenhagen","43094","5295"
  Data.s "Finland","Helsinki","304529","5147"
  Data.s "France","Paris","543965","58728"
  Data.s "Germany","Berlin","357022","82057"
  Data.s "Greece","Athens","131625","10511"
  Data.s "Ireland","Dublin","70723","3694"

; IDE Options = PureBasic 4.20 (Windows - x86)
; CursorPosition = 33
; Folding = -
; DisableDebugger